Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Class SccpStatisticNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamStatisticNotification
                        |
                        +--jain.protocol.ss7.oam.sccp.SccpStatisticNotification

public class SccpStatisticNotification
extends OamStatisticNotification

An SccpStatisticNotification is a Notification emitted by an SccpManagedObjectMBean containing the value of a particular statistic.

This SccpStatisticNotification should be sent to all applications that have registered with the Sccp MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `SCCP_FAIL_OF_RELEASE_COMPLETE_SUPERVISION` A SCCP Statistic Type constant: Failure of release complete supervision.
`static int` | `SCCP_HOP_COUNTER_VIOLATION` A SCCP Statistic Type constant: Hop counter violation (XUDT, XUDTS, LUDT, LUDTS and CR).
`static int` | `SCCP_MSG_TOO_LARGE_FOR_SEG` A SCCP Statistic Type constant: Message too large for segmentation.
`static int` | `SCCP_PROVIDER_INI_RELEASE_OF_CONNECTION` A SCCP Statistic Type constant: Provider initiated release of a connection.
`static int` | `SCCP_PROVIDER_INI_RESET_OF_A_CONNECTION` A SCCP Statistic Type constant: Provider initiated reset of a connection.
`static int` | `SCCP_REASSEMBLY_ERR_SEG_RECEIVED_OUT_OF_SEQ` A SCCP Statistic Type constant: Reassembly error - Segment received out of sequence (including duplicates, recpt, of non-first segment for which no reassembly process).
`static int` | `SCCP_REASSEMBLY_ERR_TIME_T_REASS_EXPIRY` A SCCP Statistic Type constant: Reassembly error - Timer The timer returned by getSccpTimerReassembly() has expired.
`static int` | `SCCP_REASSEMBLY_ERROR_NO_REASSEMBLY_SPACE` A SCCP Statistic Type constant: Reassembly error - No reassembly space.
`static int` | `SCCP_ROUTING_FAIL_NETWORK_CONGESTION` A SCCP Statistic Type constant: Routing Failure - Network Congestion.
`static int` | `SCCP_ROUTING_FAIL_NETWORK_FAILURE` A SCCP Statistic Type constant: Routing Failure - Network Failure (Point Code not available).
`static int` | `SCCP_ROUTING_FAIL_NO_TRANS_FOR_ADD` A SCCP Statistic Type constant: Routing Failure - No translation for address of such nature.
`static int` | `SCCP_ROUTING_FAIL_NO_TRANS_FOR_THIS_SPEC_ADD` A SCCP Statistic Type constant: Routing Failure - No translation for this specific address.
`static int` | `SCCP_ROUTING_FAIL_SUBSYSTEM_CONGESTION` A SCCP Statistic Type constant: Routing Failure - Subsystem Congestion.
`static int` | `SCCP_ROUTING_FAIL_SUBSYSTEM_FAIL` A SCCP Statistic Type constant: Routing Failure - Subsystem Failure (unavailable).
`static int` | `SCCP_ROUTING_FAIL_UNEQUIPPED_USER` A SCCP Statistic Type constant: Routing Failure - Unequipped user (Subsystem).
`static int` | `SCCP_ROUTING_FAIL_UNQUALIFIED` A SCCP Statistic Type constant: Routing Failure - Unqualified.
`static int` | `SCCP_SEG_ERR_SEG_FAIL` A SCCP Statistic Type constant: Segmentation error - Segmentation failed.
`static int` | `SCCP_SYNTAX_ERROR_DETECTED` A SCCP Statistic Type constant: Syntax Error Detected.
`static int` | `SCCP_TIMER_T_IAR_EXPIRY` A SCCP Statistic Type constant: Timer The timer returned by getSccpTimerIAR() has expired.
`static int` | `SCCP_UDT_ORIG_CLASS_SSN` A SCCP Statistic Type constant: Total (L)(X)UDT messages originated per class and source SSN.
`static int` | `SCCP_UDT_TERM_CLASS_SSN` A SCCP Statistic Type constant: Total (L)(X)UDT messages terminated per class and sink SSN.

Fields inherited from class jain.protocol.ss7.oam.OamStatisticNotification
`CATEGORY_CONFIGURATION, CATEGORY_FAULT, CATEGORY_PERFORMANCE`

Constructor Summary
`SccpStatisticNotification(OamManagedObjectMBean source, long sequenceNumber, int category, int statisticType, int statisticValue)` Constructs a new `SccpStatisticNotification`.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamStatisticNotification
`getCategory, getStatisticType, getStatisticValue, setCategory, setStatisticValue`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCCP_ROUTING_FAIL_NO_TRANS_FOR_ADD

    public static final int SCCP_ROUTING_FAIL_NO_TRANS_FOR_ADD

  A SCCP Statistic Type constant: Routing Failure - No translation for address of such nature.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.1
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.routing_fail_no_trans_for_add".

### SCCP_ROUTING_FAIL_NO_TRANS_FOR_THIS_SPEC_ADD

    public static final int SCCP_ROUTING_FAIL_NO_TRANS_FOR_THIS_SPEC_ADD

  A SCCP Statistic Type constant: Routing Failure - No translation for this specific address.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.2
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.routing_fail_no_trans_for_this_spec_add".

### SCCP_ROUTING_FAIL_NETWORK_FAILURE

    public static final int SCCP_ROUTING_FAIL_NETWORK_FAILURE

  A SCCP Statistic Type constant: Routing Failure - Network Failure (Point Code not available).

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.3
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.routing_fail_network_failure".

### SCCP_ROUTING_FAIL_NETWORK_CONGESTION

    public static final int SCCP_ROUTING_FAIL_NETWORK_CONGESTION

  A SCCP Statistic Type constant: Routing Failure - Network Congestion.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.4
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.routing_fail_network_congestion".

### SCCP_ROUTING_FAIL_SUBSYSTEM_FAIL

    public static final int SCCP_ROUTING_FAIL_SUBSYSTEM_FAIL

  A SCCP Statistic Type constant: Routing Failure - Subsystem Failure (unavailable).

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.5
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.routing_fail_subsystem_failure".

### SCCP_ROUTING_FAIL_SUBSYSTEM_CONGESTION

    public static final int SCCP_ROUTING_FAIL_SUBSYSTEM_CONGESTION

  A SCCP Statistic Type constant: Routing Failure - Subsystem Congestion.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.6
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.routing_fail_subsystem_congestion".

### SCCP_ROUTING_FAIL_UNEQUIPPED_USER

    public static final int SCCP_ROUTING_FAIL_UNEQUIPPED_USER

  A SCCP Statistic Type constant: Routing Failure - Unequipped user (Subsystem).

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.7
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.routing_fail_unequipped_user".

### SCCP_SYNTAX_ERROR_DETECTED

    public static final int SCCP_SYNTAX_ERROR_DETECTED

  A SCCP Statistic Type constant: Syntax Error Detected.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.8
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.syntax_error_detected".

### SCCP_ROUTING_FAIL_UNQUALIFIED

    public static final int SCCP_ROUTING_FAIL_UNQUALIFIED

  A SCCP Statistic Type constant: Routing Failure - Unqualified.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.9
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.routing_fail_unqualified".

### SCCP_REASSEMBLY_ERR_TIME_T_REASS_EXPIRY

    public static final int SCCP_REASSEMBLY_ERR_TIME_T_REASS_EXPIRY

  A SCCP Statistic Type constant: Reassembly error - Timer The timer returned by getSccpTimerReassembly() has expired.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.10
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.reassembly_err_time_t_reass_expiry".

### SCCP_REASSEMBLY_ERR_SEG_RECEIVED_OUT_OF_SEQ

    public static final int SCCP_REASSEMBLY_ERR_SEG_RECEIVED_OUT_OF_SEQ

  A SCCP Statistic Type constant: Reassembly error - Segment received out of sequence (including duplicates, recpt, of non-first segment for which no reassembly process).

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 711
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.reassembly_err_seg_received_out_of_seq".

### SCCP_REASSEMBLY_ERROR_NO_REASSEMBLY_SPACE

    public static final int SCCP_REASSEMBLY_ERROR_NO_REASSEMBLY_SPACE

  A SCCP Statistic Type constant: Reassembly error - No reassembly space.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.12
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.reassembly_error_no_reassembly_space".

### SCCP_HOP_COUNTER_VIOLATION

    public static final int SCCP_HOP_COUNTER_VIOLATION

  A SCCP Statistic Type constant: Hop counter violation (XUDT, XUDTS, LUDT, LUDTS and CR).

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.13
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.hop_counter_violation".

### SCCP_MSG_TOO_LARGE_FOR_SEG

    public static final int SCCP_MSG_TOO_LARGE_FOR_SEG

  A SCCP Statistic Type constant: Message too large for segmentation.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.14
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.msg_too_large_for_seg".

### SCCP_FAIL_OF_RELEASE_COMPLETE_SUPERVISION

    public static final int SCCP_FAIL_OF_RELEASE_COMPLETE_SUPERVISION

  A SCCP Statistic Type constant: Failure of release complete supervision.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.15
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.fail_of_release_complete_supervision".

### SCCP_TIMER_T_IAR_EXPIRY

    public static final int SCCP_TIMER_T_IAR_EXPIRY

  A SCCP Statistic Type constant: Timer The timer returned by getSccpTimerIAR() has expired.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.16
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.timer_t_iar_expiry".

### SCCP_PROVIDER_INI_RESET_OF_A_CONNECTION

    public static final int SCCP_PROVIDER_INI_RESET_OF_A_CONNECTION

  A SCCP Statistic Type constant: Provider initiated reset of a connection.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.17
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.provider_ini_resetof_connection".

### SCCP_PROVIDER_INI_RELEASE_OF_CONNECTION

    public static final int SCCP_PROVIDER_INI_RELEASE_OF_CONNECTION

  A SCCP Statistic Type constant: Provider initiated release of a connection.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.18
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.provider_ini_release_of_connection".

### SCCP_SEG_ERR_SEG_FAIL

    public static final int SCCP_SEG_ERR_SEG_FAIL

  A SCCP Statistic Type constant: Segmentation error - Segmentation failed.

  Measuring: SCCP error performce
  Collected For: SccpRoutingControlMBean
  ITU Q.752 Measurement Number: 7.20
  Units: Notifications / SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.seg_err_seg_fail".

### SCCP_UDT_ORIG_CLASS_SSN

    public static final int SCCP_UDT_ORIG_CLASS_SSN

  A SCCP Statistic Type constant: Total (L)(X)UDT messages originated per class and source SSN.

  Measuring: SCCP Utilization
  Collected For: SccpSapMBean
  ITU Q.752 Measurement Number: 9.6
  Units: Messages / class / SccpSapMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.udt_orig_class_ssn".

### SCCP_UDT_TERM_CLASS_SSN

    public static final int SCCP_UDT_TERM_CLASS_SSN

  A SCCP Statistic Type constant: Total (L)(X)UDT messages terminated per class and sink SSN.

  Measuring: SCCP Utilization
  Collected For: SccpSapMBean
  ITU Q.752 Measurement Number: 9.7
  Units: Messages / class / SccpSapMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.statictic.udt_term_class_ssn".

Constructor Detail

### SccpStatisticNotification

    public SccpStatisticNotification(OamManagedObjectMBean source,
                                     long sequenceNumber,
                                     int category,
                                     int statisticType,
                                     int statisticValue)
                              throws java.lang.IllegalArgumentException

  Constructs a new `SccpStatisticNotification`.
  Parameters:
    `source` - The Sccp Layer Manager that emitted this Notification.
    `sequenceNumberThe` - notification sequence number within the source object.
    `category` - The category of this SccpStatisticNotification. This may be any of the inherited types:

    - CATEGORY_FAULT
    - CATEGORY_CONFIGURATION
    - CATEGORY_PERFORMANCE
    `statisticType` - The type of this statistic. This may be any one of the Statistic Type constants defined in this class.
    `statisticValue` - The statistic value
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems